<?php
/**
 * Consultancy Services Theme Customizer
 *
 * @package Consultancy Services
 */

function Consultancy_Services_Customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'Consultancy_Services_Customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'Consultancy_Services_Customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('consultancy_services_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Consultancy Services Theme Options', 'consultancy-services'),
	));

	/*
	* Customizer main header section
	*/

	$wp_customize->add_setting(
		'consultancy_services_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_site_title_text',
		array(
			'label'       => __('Enable Title', 'consultancy-services'),
			'description' => __('Enable or Disable Title from the site', 'consultancy-services'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'consultancy_services_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'consultancy-services'),
			'description' => __('Enable or Disable Tagline from the site', 'consultancy-services'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

		$wp_customize->add_setting(
		'consultancy_services_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'consultancy_services_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'consultancy-services'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

	/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'consultancy-services'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'consultancy_services_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'consultancy-services'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'consultancy_services_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'consultancy-services'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'consultancy_services_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'consultancy-services'),
			'description' => __('Checked to show Related Product', 'consultancy-services'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'consultancy-services'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'consultancy-services'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('consultancy_services_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
	));
	$wp_customize->add_control('consultancy_services_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','consultancy-services'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','consultancy-services'),
            'layout-2' => esc_html__('Sidebar On Left','consultancy-services'),
			'layout-3' => esc_html__('Full Width Layout','consultancy-services')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('consultancy_services_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
	));
	$wp_customize->add_control('consultancy_services_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','consultancy-services'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','consultancy-services'),
            'layout-2' => esc_html__('Sidebar On Left','consultancy-services'),
			'layout-3' => esc_html__('Full Width Layout','consultancy-services')
        ),
	) );

	$wp_customize->add_setting('consultancy_services_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
    ));
    $wp_customize->add_control('consultancy_services_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','consultancy-services' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','consultancy-services'),
            'Left' => __('Left','consultancy-services'),
            'Center' => __('Center','consultancy-services')
        ),
    ) );

	/*Additional Options*/
	$wp_customize->add_section('consultancy_services_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'consultancy-services'),
		'panel'       => 'consultancy_services_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'consultancy_services_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'consultancy-services'),
			'description' => __('Checked to show preloader', 'consultancy-services'),
			'section'     => 'consultancy_services_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'consultancy_services_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'consultancy-services'),
			'description' => __('Checked to show Breadcrumbs', 'consultancy-services'),
			'section'     => 'consultancy_services_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'consultancy_services_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'consultancy-services'),
			'description' => __('Checked to show Pagination', 'consultancy-services'),
			'section'     => 'consultancy_services_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Select Type Option*/
	$wp_customize->add_setting('consultancy_services_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
	));
	$wp_customize->add_control('consultancy_services_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','consultancy-services'),
        'section' => 'consultancy_services_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','consultancy-services'),
            'type-2' => esc_html__('Type 2','consultancy-services'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('consultancy_services_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
	));
	$wp_customize->add_control('consultancy_services_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Posts Layout','consultancy-services'),
        'section' => 'consultancy_services_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','consultancy-services'),
            'layout-2' => esc_html__('Sidebar On Left','consultancy-services'),
			'layout-3' => esc_html__('Full Width Layout','consultancy-services')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('consultancy_services_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
	));
	$wp_customize->add_control('consultancy_services_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','consultancy-services'),
        'section' => 'consultancy_services_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','consultancy-services'),
            'layout-2' => esc_html__('Sidebar On Left','consultancy-services'),
			'layout-3' => esc_html__('Full Width Layout','consultancy-services')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('consultancy_services_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
	));
	$wp_customize->add_control('consultancy_services_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','consultancy-services'),
        'section' => 'consultancy_services_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','consultancy-services'),
            'layout-2' => esc_html__('Sidebar On Left','consultancy-services'),
			'layout-3' => esc_html__('Full Width Layout','consultancy-services')
        ),
	) );

	/*Archive Post Options*/
	$wp_customize->add_section('consultancy_services_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'consultancy-services'),
		'panel'       => 'consultancy_services_panel',
	));

	$wp_customize->add_setting('consultancy_services_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'consultancy-services'),
		'description' => __('Checked To Show Blog Post Title', 'consultancy-services'),
		'section'     => 'consultancy_services_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultancy_services_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'consultancy-services'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'consultancy-services'),
		'section'     => 'consultancy_services_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultancy_services_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'consultancy-services'),
		'description' => __('Checked To Show Blog Post Tags', 'consultancy-services'),
		'section'     => 'consultancy_services_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultancy_services_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'consultancy-services'),
		'description' => __('Checked To Show Blog Post Image', 'consultancy-services'),
		'section'     => 'consultancy_services_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultancy_services_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'consultancy-services'),
		'description' => __('Checked To Show Blog Post Content', 'consultancy-services'),
		'section'     => 'consultancy_services_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultancy_services_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'consultancy-services'),
		'description' => __('Checked To Show Blog Post Read More Button', 'consultancy-services'),
		'section'     => 'consultancy_services_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('consultancy_services_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
	));
	$wp_customize->add_control('consultancy_services_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','consultancy-services'),
        'section' => 'consultancy_services_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','consultancy-services'),
            'Center' => esc_html__('Center','consultancy-services'),
            'Right' => esc_html__('Right','consultancy-services')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'consultancy_services_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'consultancy-services'),
			'section'     => 'consultancy_services_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'consultancy_services_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'consultancy-services'),
			'section'     => 'consultancy_services_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('consultancy_services_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'consultancy-services'),
		'panel'       => 'consultancy_services_panel',
	));

	$wp_customize->add_setting('consultancy_services_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'consultancy-services'),
		'description' => __('Checked To Show Single Blog Post Title', 'consultancy-services'),
		'section'     => 'consultancy_services_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultancy_services_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'consultancy-services'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'consultancy-services'),
		'section'     => 'consultancy_services_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultancy_services_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'consultancy-services'),
		'description' => __('Checked To Show Single Blog Post Tags', 'consultancy-services'),
		'section'     => 'consultancy_services_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultancy_services_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'consultancy-services'),
		'description' => __('Checked To Show Single Post Image', 'consultancy-services'),
		'section'     => 'consultancy_services_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultancy_services_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
	));
	$wp_customize->add_control('consultancy_services_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'consultancy-services'),
		'description' => __('Checked To Show Single Blog Post Content', 'consultancy-services'),
		'section'     => 'consultancy_services_single_post_section',
		'type'        => 'checkbox',
	));

	/*Related Post Enable Option*/
	$wp_customize->add_setting(
		'consultancy_services_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'consultancy-services'),
			'description' => __('Checked to show Related Post', 'consultancy-services'),
			'section'     => 'consultancy_services_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*Related post Edit Text*/
	$wp_customize->add_setting(
		'consultancy_services_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'consultancy-services'),
			'section'     => 'consultancy_services_single_post_section',
			'type'        => 'text',
		)
	);	

	/*Related Post Per Page*/
	$wp_customize->add_setting(
		'consultancy_services_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_related_post_count',
		array(
			'label'       => __('Related Post Count', 'consultancy-services'),
			'section'     => 'consultancy_services_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	         ),
		)
	);

	/* Comment Section Enable Option*/
	$wp_customize->add_setting(
		'consultancy_services_enable_comment_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_enable_comment_section',
		array(
			'label'       => __('Enable Comment Section', 'consultancy-services'),
			'description' => __('Checked to show Comment Section', 'consultancy-services'),
			'section'     => 'consultancy_services_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('consultancy_services_global_color_section', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'consultancy-services'),
		'panel'       => 'consultancy_services_panel',
	));

	$wp_customize->add_setting( 'consultancy_services_primary_color',
		array(
		'default'           => '#1A4137',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'consultancy_services_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'consultancy-services' ),
			'section'    => 'consultancy_services_global_color_section',
			'settings'   => 'consultancy_services_primary_color',
		) ) 
	);

	$wp_customize->add_setting( 'consultancy_services_secondary_color',
		array(
		'default'           => '#C6D936',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'consultancy_services_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'consultancy-services' ),
			'section'    => 'consultancy_services_global_color_section',
			'settings'   => 'consultancy_services_secondary_color',
		) ) 
	);

	/*Typography Options*/
	$wp_customize->add_section( 'consultancy_services_typography_section', array(
		'panel'       => 'consultancy_services_panel',
        'title'    => __( 'Typography Options', 'consultancy-services' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'consultancy_services_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'consultancy_services_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'consultancy_services_font_family', array(
		'label'    => __( 'Global Font Family', 'consultancy-services' ),
		'section'  => 'consultancy_services_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'consultancy-services' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
		),
	) );

	/*
	* Customizer main header section
	*/
	/*Main Header Options*/
	$wp_customize->add_section('consultancy_services_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'consultancy-services'),
		'panel'       => 'consultancy_services_panel',
	));

	$wp_customize->add_setting(
		'consultancy_services_show_topbar',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'consultancy_services_show_topbar',
		array(
			'label'       => __('Enable Topbar', 'consultancy-services'),
			'description' => __('Checked to show the Topbar', 'consultancy-services'),
			'section'     => 'consultancy_services_header_section',
			'type'        => 'checkbox',
		)
	);

	// Add Setting for Menu Text Transform
    $wp_customize->add_setting( 'consultancy_services_menu_text_transform', array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'uppercase',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
    ) );

    // Add Control for Menu Text Transform
    $wp_customize->add_control( 'consultancy_services_menu_text_transform', array(
        'label'    => __( 'Menu Text Transform', 'consultancy-services' ),
        'section'  => 'consultancy_services_header_section',
        'type'     => 'select',
        'choices'  => array(
            'none'       => __( 'None', 'consultancy-services' ),
            'capitalize' => __( 'Capitalize', 'consultancy-services' ),
            'uppercase'  => __( 'Uppercase', 'consultancy-services' ),
            'lowercase'  => __( 'Lowercase', 'consultancy-services' ),
        ),
    ) );

	// Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'consultancy_services_cart_language_translator' , 
			array(
			'default' => false,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	$wp_customize->add_control(
	'consultancy_services_cart_language_translator', 
		array(
			'label'	      => esc_html__( 'Show / Hide Language Translator', 'consultancy-services' ),
			'section'     => 'consultancy_services_header_section',
			'settings'    => 'consultancy_services_cart_language_translator',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting(
		'consultancy_services_header_info_email',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'support@example.com',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'consultancy_services_header_info_email',
		array(
			'label'       => __('Edit Email Address ', 'consultancy-services'),
			'section'     => 'consultancy_services_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('consultancy_services_add_location',array(
		'default'=> '09N Steet Name, New York.',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('consultancy_services_add_location',array(
		'label'	=> __('Add Location','consultancy-services'),
		'section'=> 'consultancy_services_header_section',
		'type'=> 'text'
	));

	/*Main Header Address Text*/
	$wp_customize->add_setting(
		'consultancy_services_header_info_time',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Mon To Fri - 8 am To 7 pm.',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'consultancy_services_header_info_time',
		array(
			'label'       => __('Edit Time', 'consultancy-services'),
			'section'     => 'consultancy_services_header_section',
			'type'        => 'text',
		)
	);

	/*Main Header Button Text*/
	$wp_customize->add_setting(
		'consultancy_services_header_button',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Get In Touch',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'consultancy_services_header_button',
		array(
			'label'       => __('Edit Button Text ', 'consultancy-services'),
			'section'     => 'consultancy_services_header_section',
			'type'        => 'text',
		)
	);

	/*Main Header Button Link*/
	$wp_customize->add_setting(
		'consultancy_services_header_link',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'consultancy_services_header_link',
		array(
			'label'       => __('Edit Button Link ', 'consultancy-services'),
			'section'     => 'consultancy_services_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting('consultancy_services_add_note',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('consultancy_services_add_note',array(
		'label'	=> __('Add Note','consultancy-services'),
		'section'	=> 'consultancy_services_header_section',
		'type'		=> 'text'
	));

	/*Main Header Button Text*/
	$wp_customize->add_setting(
		'consultancy_services_sec_header_button_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Get More Info.',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'consultancy_services_sec_header_button_text',
		array(
			'label'       => __('Add Get More Info Text', 'consultancy-services'),
			'section'     => 'consultancy_services_header_section',
			'type'        => 'text',
		)
	);

	/*Main Header Button Link*/
	$wp_customize->add_setting(
		'consultancy_services_sec_header_button_link',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'consultancy_services_sec_header_button_link',
		array(
			'label'       => __('Add Get More Info Link ', 'consultancy-services'),
			'section'     => 'consultancy_services_header_section',
			'type'        => 'url',
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('consultancy_services_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'consultancy-services'),
		'panel'       => 'consultancy_services_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'consultancy_services_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'consultancy-services'),
			'description' => __('Checked to show the main slider', 'consultancy-services'),
			'section'     => 'consultancy_services_slider_section',
			'type'        => 'checkbox',
		)
	);

	for ($consultancy_services_i=1; $consultancy_services_i <= 3; $consultancy_services_i++) { 

		/*Main Slider Image*/
		$wp_customize->add_setting(
			'consultancy_services_slider_image'.$consultancy_services_i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'consultancy_services_slider_image'.$consultancy_services_i, 
				array(
			        'label' => __('Edit Slider Image ', 'consultancy-services') .$consultancy_services_i,
			        'description' => __('Edit the slider image.', 'consultancy-services'),
			        'section' => 'consultancy_services_slider_section',
				)
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'consultancy_services_slider_top_text'.$consultancy_services_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'consultancy_services_slider_top_text'.$consultancy_services_i,
			array(
				'label'       => __('Edit Slider Top Text ', 'consultancy-services') .$consultancy_services_i,
				'description' => __('Edit the slider Top text.', 'consultancy-services'),
				'section'     => 'consultancy_services_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'consultancy_services_slider_heading'.$consultancy_services_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'consultancy_services_slider_heading'.$consultancy_services_i,
			array(
				'label'       => __('Edit Heading Text ', 'consultancy-services') .$consultancy_services_i,
				'description' => __('Edit the slider heading text.', 'consultancy-services'),
				'section'     => 'consultancy_services_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'consultancy_services_slider_text'.$consultancy_services_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'consultancy_services_slider_text'.$consultancy_services_i,
			array(
				'label'       => __('Edit Content Text ', 'consultancy-services') .$consultancy_services_i,
				'description' => __('Edit the slider content text.', 'consultancy-services'),
				'section'     => 'consultancy_services_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'consultancy_services_slider_button1_text'.$consultancy_services_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'consultancy_services_slider_button1_text'.$consultancy_services_i,
			array(
				'label'       => __('Edit Button Text ', 'consultancy-services') .$consultancy_services_i,
				'description' => __('Edit the slider button text.', 'consultancy-services'),
				'section'     => 'consultancy_services_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'consultancy_services_slider_button1_link'.$consultancy_services_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'consultancy_services_slider_button1_link'.$consultancy_services_i,
			array(
				'label'       => __('Edit Button URL ', 'consultancy-services') .$consultancy_services_i,
				'description' => __('Edit the slider button url.', 'consultancy-services'),
				'section'     => 'consultancy_services_slider_section',
				'type'        => 'url',
			)
		);
	}

	/*
	* Customizer project section
	*/
	/*=========================================
	service Section
	=========================================*/

	$wp_customize->add_section(
		'consultancy_services_service_section', array(
			'title' => esc_html__( 'Our Projects Section', 'consultancy-services' ),
			'priority' => 6,
			'panel' => 'consultancy_services_panel',
		)
	);

	// Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'consultancy_services_service_show_hide' , 
			array(
			'default' => true,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	$wp_customize->add_control(
	'consultancy_services_service_show_hide', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'consultancy-services' ),
			'section'     => 'consultancy_services_service_section',
			'settings'    => 'consultancy_services_service_show_hide',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting(
    	'consultancy_services_section_short_title',
    	array(
			'default' => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);	
	$wp_customize->add_control( 
		'consultancy_services_section_short_title',
		array(
		    'label'   		=> __('Add Short Title','consultancy-services'),
		    'section'		=> 'consultancy_services_service_section',
			'type' 			=> 'text',
		)
	);

	$wp_customize->add_setting(
    	'consultancy_services_section_title',
    	array(
			'default' => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);	
	$wp_customize->add_control( 
		'consultancy_services_section_title',
		array(
		    'label'   		=> __('Add Title','consultancy-services'),
		    'section'		=> 'consultancy_services_service_section',
			'type' 			=> 'text',
		)
	);

	$categories = get_categories();
	$offer_cat = array();
	$offer_cat[''] = __('Select', 'consultancy-services'); // Default "Select" option

	foreach($categories as $category){
	    $offer_cat[$category->slug] = $category->name;
	}

	$wp_customize->add_setting(
	    'consultancy_services_offer_section_category',
	    array(
	        'default' => '',
	        'sanitize_callback' => 'consultancy_services_sanitize_choices',
	    )
	);
	$wp_customize->add_control(
	    'consultancy_services_offer_section_category',
	    array(
	        'type' => 'select',
	        'choices' => $offer_cat,
	        'label' => __('Select Category','consultancy-services'),
	        'section' => 'consultancy_services_service_section',
	    )
	);

    // Setting for number of posts to show
    $wp_customize->add_setting('consultancy_services_posts_to_show', array(
        'default'           => 4, // Default number of posts to show
        'sanitize_callback' => 'absint', // Sanitization callback
    ));

    // Add control for number of posts to show
    $wp_customize->add_control('consultancy_services_posts_to_show', array(
        'label'       => __('Number of Post to Show', 'consultancy-services'),
        'section'     => 'consultancy_services_service_section',
        'priority'    => 10,
        'type'        => 'number',
        'input_attrs' => array(
            'step' => 1,
            'min'  => 0,
            'max'  => 50,
        ),
    ));

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('consultancy_services_footer_section', array(
		'priority'       => 8,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'consultancy-services'),
		'panel'       => 'consultancy_services_panel',
	));
	
	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'consultancy_services_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'consultancy_services_enable_footer',
		array(
			'label'       => __('Enable Footer', 'consultancy-services'),
			'description' => __('Checked to show Footer', 'consultancy-services'),
			'section'     => 'consultancy_services_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('consultancy_services_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'consultancy_services_footer_bg_image',array(
        'label' => __('Footer Background Image','consultancy-services'),
        'section' => 'consultancy_services_footer_section',
    )));

	/** Footer bg Image Attachment */
    $wp_customize->add_setting('consultancy_services_background_attachment', array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'scroll',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
    ));

    $wp_customize->add_control('consultancy_services_background_attachment', array(
        'label'    => __('Footer Background Attachment', 'consultancy-services'),
        'section'  => 'consultancy_services_footer_section',
        'settings' => 'consultancy_services_background_attachment',
        'type'     => 'select',
        'choices'  => array(
            'fixed' => __('fixed','consultancy-services'),
            'scroll' => __('scroll','consultancy-services'),
        ),
    ));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'consultancy_services_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'consultancy-services'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'consultancy-services'),
			'section'     => 'consultancy_services_footer_section',
			'type'        => 'checkbox',
		)
	);	

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'consultancy_services_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultancy_services_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'consultancy-services'),
			'description' => __('Checked to enable Go To Top option.', 'consultancy-services'),
			'section'     => 'consultancy_services_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('consultancy_services_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'consultancy_services_sanitize_choices'
    ));
    $wp_customize->add_control('consultancy_services_go_to_top_position',array(
        'type' => 'select',
        'section' => 'consultancy_services_footer_section',
        'label' => esc_html__('Go To Top Positions','consultancy-services'),
        'choices' => array(
            'Right' => __('Right','consultancy-services'),
            'Left' => __('Left','consultancy-services'),
            'Center' => __('Center','consultancy-services')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'consultancy_services_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultancy_services_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'consultancy-services'),
			'description' => __('Edit the Footer Copyright Section.', 'consultancy-services'),
			'section'     => 'consultancy_services_footer_section',
			'type'        => 'text',
		)
	);
}
add_action( 'customize_register', 'Consultancy_Services_Customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function Consultancy_Services_Customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function Consultancy_Services_Customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function Consultancy_Services_Customize_preview_js() {
	wp_enqueue_script( 'consultancy-services-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), CONSULTANCY_SERVICES_VERSION, true );
}
add_action( 'customize_preview_init', 'Consultancy_Services_Customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Consultancy_Services_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $consultancy_services_instance = null;

		if ( is_null( $consultancy_services_instance ) ) {
			$consultancy_services_instance = new self;
			$consultancy_services_instance->setup_actions();
		}

		return $consultancy_services_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $consultancy_services_manager
	 * @return void
	*/
	public function sections( $consultancy_services_manager ) {
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$consultancy_services_manager->register_section_type( 'Consultancy_Services_Customize_Section_Pro' );

		// Register sections.
		$consultancy_services_manager->add_section( new Consultancy_Services_Customize_Section_Pro( $consultancy_services_manager,'consultancy_services_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Consultancy Services Pro', 'consultancy-services' ),
			'pro_text' => esc_html__( 'Buy Pro', 'consultancy-services' ),
			'pro_url'    => esc_url( CONSULTANCY_SERVICES_BUY_NOW ),
		) )	);

		// Register sections.
		$consultancy_services_manager->add_section( new Consultancy_Services_Customize_Section_Pro( $consultancy_services_manager,'consultancy_services_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'consultancy-services' ),
			'pro_text' => esc_html__( 'Instruction', 'consultancy-services' ),
			'pro_url'    => esc_url( CONSULTANCY_SERVICES_LITE_DOC ),
		) )	);

		$consultancy_services_manager->add_section( new Consultancy_Services_Customize_Section_Pro( $consultancy_services_manager, 'consultancy_services_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Pro Theme Demo', 'consultancy-services' ),
		    'pro_text'   => esc_html__( 'Live Preview', 'consultancy-services' ),
		    'pro_url'    => esc_url( CONSULTANCY_SERVICES_LIVE_DEMO ),
		) ) );

	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'consultancy-services-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'consultancy-services-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Consultancy_Services_Customize::get_instance();